package metrotest;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.ext.DefaultHandler2;

public class XMLTestStreamingHandler extends DefaultHandler2 
{
	@Override
	public void characters( char[] chars, int start, int length )  
	{
		//System.out.println(new StringBuilder("full characters: ").append(chars));
		if(chars != null && length >= 0 && start + length - 1 <= chars.length)
		{
			StringBuilder sb = new StringBuilder().append(chars, start, length);
			if (sb.indexOf("string without cdata") > -1)
				System.out.println("found string without cdata encoding, webservice call worked but we still need to find cdata encoded text.");
			if (sb.indexOf("string with cdata") > -1)
				System.out.println("found cdata encoded text! this version of the library is working.");
			//System.out.println(new StringBuilder("characters: ").append(chars, start, length));
		}
	}
	
	@Override
	public void startPrefixMapping(String prefix, String uri) throws SAXException 
	{
		//System.out.println("startPrefixMapping: prefix: " + prefix + ", uri: " + uri);
	}
	
	@Override
	public void startElement(String uri, String localName, String name, Attributes attributes) throws SAXException 
	{
		//System.out.println("startElement: uri: " + uri + ", localName: " + localName + ", name: " + name); 
	}
	
	@Override
	public void endElement(String uri, String localName, String name) throws SAXException 
	{
		//System.out.println("endElement: uri: " + uri + ", localName: " + localName + ", name: " + name);
	}
}